Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class Style

    java.lang.Object
      org.deegree.ogcwebservices.wms.capabilities.Style

    public class Style

extends Object

Zero or more Styles may be advertised for a Layer or collection of layers using <Style> elements, each of which shall have <Name> and <Title> elements. The style's Name is used in the Map request STYLES parameter. The Title is a human-readable string. If only a single style is available, that style is known as the "default" style and need not be advertised by the server.

A Style may contain several other elements in the Capabilities XML DTD. In particular, <Abstract> provides a narrative description while <LegendURL> contains the location of an image of a map legend appropriate to the enclosing Style. A <Format> element in LegendURL indicates the MIME type of the logo image, and the attributes width and height state the size of the image in pixels.

Version:
  $Revision: 18195 $
Author:
  Katharina Lupp, Markus Schneider

Field Summary
`(package private) static Map<String,UserStyle>` | `styles`

Constructor Summary
`Style(String name, String title, String abstract_, LegendURL[] legendURLs, StyleSheetURL styleSheetURL, StyleURL styleURL, URL styleResource)` constructor initializing the class with the <Style>

Method Summary
`String` | `getAbstract()`
`LegendURL[]` | `getLegendURL()`
`String` | `getName()`
`UserStyle` | `getStyleContent()` returns the content of the style as SLD style object
`URL` | `getStyleResource()`
`StyleSheetURL` | `getStyleSheetURL()`
`StyleURL` | `getStyleURL()` A Style element lists the name by which a style is requested and a human-readable title for pick lists, optionally (and ideally) provides a human-readable description, and optionally gives a style URL.
`String` | `getTitle()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### styles

    static Map<String,UserStyle> styles

Constructor Detail

### Style

    public Style(String name,
                 String title,
                 String abstract_,
                 LegendURL[] legendURLs,
                 StyleSheetURL styleSheetURL,
                 StyleURL styleURL,
                 URL styleResource)
          throws XMLParsingException

  constructor initializing the class with the <Style>

  Parameters:
    `name` -
    `title` -
    `abstract_` -
    `legendURLs` -
    `styleSheetURL` -
    `styleURL` -
    `styleResource` -
  Throws:
    `XMLParsingException`

Method Detail

### getName

    public String getName()

  Returns:
    the name - machine code - of the style

### getTitle

    public String getTitle()

  Returns:
    the title (human readable) of the style

### getAbstract

    public String getAbstract()

  Returns:
    a short narrative description of the style

### getLegendURL

    public LegendURL[] getLegendURL()

  Returns:
    an array of LegendURL objects that defines the location, size and format of the legend graphics

### getStyleSheetURL

    public StyleSheetURL getStyleSheetURL()

  Returns:
    StyleSheeetURL that provides symbology information for each style of a layer.

### getStyleURL

    public StyleURL getStyleURL()

  A Style element lists the name by which a style is requested and a human-readable title for pick lists, optionally (and ideally) provides a human-readable description, and optionally gives a style URL.

  Returns:
    the style URL data

### getStyleResource

    public URL getStyleResource()

  Returns:
    the URL where to access the XML (SLD) document definingthe style

### getStyleContent

    public UserStyle getStyleContent()

  returns the content of the style as SLD style object

  Returns:
    instance of org.deegree.graphics.sld.Style

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org